package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.conch.parents.v2.dto.KnowHowDetailDTO;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

public class WrongBookQuestionReq2 extends BaseRequest {

    private final static long serialVersionUID = 1L;

	@ApiModelProperty(name = "pageNo", value = "当前页数")
	private int pageNo = 1;

	@ApiModelProperty(name = "pageSize", value = "每页条数")
	private int pageSize = 10;

	@NotBlank
	@ApiModelProperty(name = "vipId", value = "学生vipId", required = true)
	private String vipId;

	@NotEmpty
	@ApiModelProperty(name = "knowHowDetailId", value = "知识点id", required = true)
	private List<KnowHowDetailDTO> knowHowDetailList;

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public List<KnowHowDetailDTO> getKnowHowDetailList() {
		return knowHowDetailList;
	}

	public void setKnowHowDetailList(List<KnowHowDetailDTO> knowHowDetailList) {
		this.knowHowDetailList = knowHowDetailList;
	}
}
